hwy::HWY_NAMESPACE::Result Struct Reference

`#include <result-inl.h>`

## Public Member Functions

| Result ()
| Result (const Algo algo, Dist dist, size_t num_keys, size_t num_threads, double sec, size_t sizeof_key, const std::string &key_name)
void | Print () const

## Public Attributes

int64_t | target
Algo | algo
Dist | dist
size_t | num_keys = 0
size_t | num_threads = 0
double | sec = 0.0
size_t | sizeof_key = 0
std::string | key_name

## Constructor & Destructor Documentation

## Result() [1/2]

hwy::HWY_NAMESPACE::Result::Result | ( |  | ) |

inline

## Result() [2/2]

hwy::HWY_NAMESPACE::Result::Result | ( | const Algo | algo,
|  | Dist | dist,
|  | size_t | num_keys,
|  | size_t | num_threads,
|  | double | sec,
|  | size_t | sizeof_key,
|  | const std::string & | key_name
| ) |  |

inline

## Member Function Documentation

## Print()

void hwy::HWY_NAMESPACE::Result::Print | ( |  | ) | const

inline

References algo, hwy::AlgoName(), dist, hwy::DistName(), key_name, num_keys, num_threads, sec, sizeof_key, target, and hwy::TargetName().

## Member Data Documentation

## algo

Algo hwy::HWY_NAMESPACE::Result::algo

Referenced by Print().

## dist

Dist hwy::HWY_NAMESPACE::Result::dist

Referenced by Print().

## key_name

std::string hwy::HWY_NAMESPACE::Result::key_name

Referenced by Print().

## num_keys

size_t hwy::HWY_NAMESPACE::Result::num_keys = 0

Referenced by Print().

## num_threads

size_t hwy::HWY_NAMESPACE::Result::num_threads = 0

Referenced by Print().

## sec

double hwy::HWY_NAMESPACE::Result::sec = 0.0

Referenced by Print().

## sizeof_key

size_t hwy::HWY_NAMESPACE::Result::sizeof_key = 0

Referenced by Print().

## target

int64_t hwy::HWY_NAMESPACE::Result::target

Referenced by Print().

The documentation for this struct was generated from the following file:

- result-inl.h